Отказ в обслуживании в Asterisk

Дата публикации:
22.09.2014
Дата изменения:
22.09.2014
Всего просмотров:
945
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:A/AC:M/Au:N/C:N/I:P/A:P/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
(AV:A/AC:M/Au:N/C:N/I:P/A:P/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2014-6609
CVE-2014-6610
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Asterisk 12.x
Уязвимые версии: Asterisk версии до 12.5.1

Описание:
Уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании.

1. Уязвимость существует из-за ошибки при обработке подписок SIP в модуле PJSIP-based res_pjsip_pubsub. Удаленный пользователь может с помощью специально сформированного сообщения SIP SUBSCRIBE вызвать аварийное завершение работы.

2. Уязвимость существует из-за ошибки при обработке сообщений out of call в модуле res_fax_spandsp. Удаленный пользователь может с помощью специально сформированных SIP, PJSIP или XMPP сообщений вызвать аварийное завершение работы.

Примечание: Для успешной эксплуатации уязвимости необходимо, чтобы настройки позволяли прием факса, содержащего только текстуальную информацию.

URL производителя: http://www.asterisk.org/

Решение: Установите последнюю версию 12.5.1 с сайта производителя.

Ссылки: http://downloads.asterisk.org/pub/security/AST-2014-009.html
http://downloads.asterisk.org/pub/security/AST-2014-010.html